NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder Class Reference

Represents a NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder used to reverse directions for specified beam elements. More...

Inheritance diagram for NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder:
NXOpen.Builder NXOpen.CAE.ModelCheck.ISelectionBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void DisplayDirections ()
 Display directions of NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList More...
 
unsafe NXOpen.CAE.FEElement[] ReverseDirections ()
 Reverses directions specified in NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList and returns those elements whose directions were reversed successfully. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.ModelCheck.CheckScope 
CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectionList [get]
 Returns the selected objects to be checked. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.CAE.ModelCheck.ISelectionBuilder
NXOpen.CAE.ModelCheck.CheckScope CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder used to reverse directions for specified beam elements.

You can reverse beam element directions by using either Builder.Commit or NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.ReverseDirections . The difference between these two methods is Builder.Commit reverses the directions and updates direction display, but it does not return the beam elements which were reversed successfully. NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.ReverseDirections reverses directions and returns the beam elements which were reversed successfully. Both of the methods are only available in fem context.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateReverseBeamElementDirectionBuilder

Created in NX8.5.0

Member Function Documentation

unsafe void NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.DisplayDirections ( )
inline

Display directions of NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.FEElement [] NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.ReverseDirections ( )
inline

Reverses directions specified in NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList and returns those elements whose directions were reversed successfully.

This method will only reverse the directions for beam elements in the current work fem part.

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns

Property Documentation

unsafe NXOpen.CAE.ModelCheck.CheckScope NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.CheckScopeOption
getset

Returns or sets the check scope setting

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList
get

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.